# Deposit a check

**POST** `/transfers/checks/deposit`

Deposit a check into a Column bank account.

### Body Parameters

- `account_number_id` `string` — Optional. If omitted, defaults to the default account number ID for the provided bank account.
- `bank_account_id` `string` _(required)_ — bank account ID to credit funds to.
- `currency_code` `string` _(required)_ — The three-letter currency code defined in ISO 4217. e.g. `USD`.
- `deposited_amount` `integer` _(required)_ — Amount (in cents) of the check being deposited.
- `description` `string` — A description of the check deposit.
- `image_back` `string` _(required)_ — base64 encoded string of the TIFF image bytes.
- `image_front` `string` _(required)_ — base64 encoded string of the TIFF image bytes.
- `micr_line` `object` _(required)_ — MICR data for the check
  - `amount_field` `string` — Amount field (up to 10 characters)
  - `auxiliary_on_us` `string` — Auxiliary on-us field (up to 15 characters)
  - `external_processing_code` `string` — External processing code (up to 1 character)
  - `on_us` `string` — On-us field (up to 20 characters)
  - `payor_bank_routing_number` `string` — Payor bank ABA routing number (up to 9 characters)
- `transfer_batch_id` `string` — ID of the transfer batch this deposit belongs to.

**Request**

```shell
curl 'https://api.column.com/transfers/checks/deposit' \
  -XPOST \
  -u :<YOUR API KEY> \
  -d bank_account_id="<bank_account_id>" \
  -d deposited_amount=50000 \
  -d currency_code="USD" \
  -d micr_line[auxiliary_on_us]="1" \
  -d micr_line[on_us]="1" \
  -d micr_line[payor_bank_routing_number]="123456789" \
  -d image_front="<base64_encoded_image>" \
  -d image_back="<base64_encoded_image>"
```

**Response 200**

```json
{
  "account_number_id": "acno_25nacNsLD8qLI1Vc6x67sxFU27c",
  "back_image": "<base 64 encoded string>",
  "bank_account_id": "bacc_25nVQr05nZybpyEzw8j0wV6VRUh",
  "check_number": "1001",
  "created_at": "2022-03-02T00:05:54Z",
  "currency_code": "USD",
  "delivered_by_column": false,
  "delivery_method": null,
  "delivery_status": null,
  "delivery_tracking_number": null,
  "delivery_tracking_url": null,
  "deposited_amount": 50000,
  "deposited_at": "2022-03-02T00:05:54Z",
  "description": "deposited check transfer",
  "external_routing_number": "<payor bank routing number>",
  "first_return_at": null,
  "front_image": "<base 64 encoded string>",
  "id": "chkt_25o3LGGbxLjpabTm6zHquAM1ti2",
  "idempotency_key": "",
  "is_preview_pdf_available": false,
  "issued_at": null,
  "manual_review_at": null,
  "memo": null,
  "message": null,
  "micr_line": {
    "amount_field": "100000",
    "auxiliary_on_us": "1001",
    "external_processing_code": "",
    "payor_bank_routing_number": "322271627",
    "on_us": "12345678910"
  },
  "payee_address": null,
  "payee_name": "Olive Column",
  "pending_deposit_at": "2022-03-02T00:05:54Z",
  "pending_first_return_at": null,
  "pending_stop_at": null,
  "pending_user_initiated_return_at": null,
  "positive_pay_amount": null,
  "reclear_at": null,
  "rejected_at": null,
  "second_return_at": null,
  "settled_at": "2022-03-02T00:05:54Z",
  "status": "pending_deposit",
  "stopped_at": null,
  "type": "credit",
  "updated_at": "2022-03-02T00:05:54Z",
  "user_initiated_return_submitted_at": null,
  "user_initiated_returned_at": null,
  "user_initiated_return_dishonored_at": null
}
```
